/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
/**
 * @param label  The label to show beside the checkbox.
 * @param style  (Optional) Custom style to style the checkbox.
 * @param checked  If the checkbox is checked or not.
 * @param onPress  The function to handle the on press action.
 * @param disabled  (Optional) If the checkbox should be disabled or not. False if not specified.
 * @param theme  (Optional) react-native-paper theme partial to style the component.
 */
declare type CheckboxProps = {
    label: string;
    style?: StyleProp<ViewStyle>;
    checked: boolean;
    onPress: () => void;
    disabled?: boolean;
    theme?: ReactNativePaper.Theme;
};
/**
 * Creates a checkbox input with a label.
 *
 * @category Component
 */
export declare const Checkbox: React.FC<CheckboxProps>;
export {};
