/**
 * @packageDocumentation
 * @module Components
 */
import * as React from 'react';
/**
 * @param title  The title to show in the header.
 * @param backAction  The function to handle the back action.
 * @param backgroundColor  A custom background color to override the default
 */
declare type CloseHeaderProps = {
    title: string;
    backAction: () => void;
    backgroundColor?: string;
};
/**
 * Creates a styled header with a back button.
 *
 * @category Component
 */
export declare const CloseHeader: React.FC<CloseHeaderProps>;
export {};
