/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
/**
 * @param title  The title to show on the error state.
 * @param bodyText  The body text to show on the error state.
 * @param icon  (Optional) The icon to show at the top of the error state. Icon 'report' is used if none is specified.
 * @param onPress  The function to handle the on press action.
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type ErrorStateProps = {
    title: string;
    bodyText: string | null;
    icon?: React.Component<{
        size: number;
        color: string;
    }>;
    onPress: () => void;
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the content of the notice of completed account creation / password reset screen.
 *
 * @category Component
 */
export declare const ErrorState: React.FC<ErrorStateProps>;
export {};
