/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { StyleProp, TextStyle } from 'react-native';
/**
 * @param parseableText  The text to be parsed.
 * @param textStyle?  (Optional) Custom text style to apply to the tagged sub text.
 */
declare type FormattedTextProps = {
    parseableText: string;
    textStyle?: StyleProp<TextStyle>;
};
/**
 * Takes text and applies a style to tagged sub text.
 *
 * @category Component
 */
export declare const FormattedText: React.FC<FormattedTextProps>;
export {};
