/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
/**
 * @param style  (Optional) Custom style to style the login header splash.
 * @param mainImage  (Optional) The image to show in the login header splash. Default 'eaton_stacked_logo.png'.
 */
declare type LoginHeaderSplashProps = {
    style?: StyleProp<ViewStyle>;
    mainImage?: number | string;
};
/**
 * A component used for a header area which contains a large image.
 *
 * @category Component
 */
export declare const LoginHeaderSplash: React.FC<LoginHeaderSplashProps>;
export {};
