/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
/**
 * @param isChecked  If the requirement is met / a check mark is shown.
 * @param text  The text to show next to the check mark.
 * @param theme (Optional) react-native-paper theme partial to style the component.
 */
declare type RequirementCheckProps = {
    isChecked: boolean;
    text: string;
    theme?: ReactNativePaper.Theme;
};
/**
 * Creates a component consisting of a check mark and a string next to it.
 * Will be colored if checked and grayed out if not.
 *
 * @category Component
 */
export declare const RequirementCheck: React.FC<RequirementCheckProps>;
export {};
