/**
 * @packageDocumentation
 * @module Components
 */
import React from 'react';
import { TextInputProps } from 'react-native-paper/lib/typescript/src/components/TextInput/TextInput';
/**
 * @param errorText  (Optional) The text to show if the text input is in error state.
 */
export declare type TextInputRenderProps = Omit<TextInputProps, 'theme'> & {
    errorText?: string;
    theme?: ReactNativePaper.Theme;
    testID?: string;
};
export declare const TextInput: React.ForwardRefExoticComponent<Pick<TextInputRenderProps, string | number | symbol> & React.RefAttributes<{}>>;
