/**
 * @packageDocumentation
 * @module Sub-Screens
 */
import React from 'react';
/**
 * Handle the change of the password input.
 *
 * @param onPasswordChanged  Handle the change of the password input.
 * @param theme (Optional) react-native-paper theme partial for custom styling.
 */
declare type CreatePasswordProps = {
    onPasswordChanged(password: string): void;
    onSubmit?: () => void;
    theme?: ReactNativePaper.Theme;
};
/**
 * Renders the content of the Create Password screen (inputs for password and confirm password).
 *
 * @category Component
 */
export declare const CreatePassword: React.FC<CreatePasswordProps>;
export {};
