"use strict";var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.CreatePassword=void 0;var _slicedToArray2=_interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));var _react=_interopRequireWildcard(require("react"));var _reactNative=require("react-native");var _PasswordRequirements=require("../components/PasswordRequirements");var _TextInputSecure=require("../components/TextInputSecure");var _Instruction=require("../components/Instruction");var _reactNativePaper=require("react-native-paper");var _reactNativeGestureHandler=require("react-native-gesture-handler");var _reactAuthShared=require("@brightlayer-ui/react-auth-shared");var _jsxFileName="/home/circleci/login-workflow/login-workflow/src/subScreens/CreatePassword.tsx";function _getRequireWildcardCache(nodeInterop){if(typeof WeakMap!=="function")return null;var cacheBabelInterop=new WeakMap();var cacheNodeInterop=new WeakMap();return(_getRequireWildcardCache=function _getRequireWildcardCache(nodeInterop){return nodeInterop?cacheNodeInterop:cacheBabelInterop;})(nodeInterop);}function _interopRequireWildcard(obj,nodeInterop){if(!nodeInterop&&obj&&obj.__esModule){return obj;}if(obj===null||typeof obj!=="object"&&typeof obj!=="function"){return{default:obj};}var cache=_getRequireWildcardCache(nodeInterop);if(cache&&cache.has(obj)){return cache.get(obj);}var newObj={};var hasPropertyDescriptor=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var key in obj){if(key!=="default"&&Object.prototype.hasOwnProperty.call(obj,key)){var desc=hasPropertyDescriptor?Object.getOwnPropertyDescriptor(obj,key):null;if(desc&&(desc.get||desc.set)){Object.defineProperty(newObj,key,desc);}else{newObj[key]=obj[key];}}}newObj.default=obj;if(cache){cache.set(obj,newObj);}return newObj;}var makeContainerStyles=function makeContainerStyles(theme){return _reactNative.StyleSheet.create({safeContainer:{backgroundColor:theme.colors.surface,marginBottom:16,flex:1,width:'100%',flexDirection:'row',justifyContent:'center'},mainContainer:{flex:1},containerMargins:{marginHorizontal:16}});};var CreatePassword=function CreatePassword(props){var theme=(0,_reactNativePaper.useTheme)(props.theme);var _React$useState=_react.default.useState(''),_React$useState2=(0,_slicedToArray2.default)(_React$useState,2),passwordInput=_React$useState2[0],setPasswordInput=_React$useState2[1];var _React$useState3=_react.default.useState(''),_React$useState4=(0,_slicedToArray2.default)(_React$useState3,2),confirmInput=_React$useState4[0],setConfirmInput=_React$useState4[1];var _useLanguageLocale=(0,_reactAuthShared.useLanguageLocale)(),t=_useLanguageLocale.t;var containerStyles=makeContainerStyles(theme);var confirmPasswordRef=_react.default.useRef(null);var goToNextInput=function goToNextInput(){var _confirmPasswordRef$c;return confirmPasswordRef===null||confirmPasswordRef===void 0?void 0:(_confirmPasswordRef$c=confirmPasswordRef.current)===null||_confirmPasswordRef$c===void 0?void 0:_confirmPasswordRef$c.focus();};var defaultRequirements=[{regex:_reactAuthShared.LENGTH_REGEX,description:t('blui:PASSWORD_REQUIREMENTS.LENGTH')},{regex:_reactAuthShared.NUMBERS_REGEX,description:t('blui:PASSWORD_REQUIREMENTS.NUMBERS')},{regex:_reactAuthShared.UPPER_CASE_REGEX,description:t('blui:PASSWORD_REQUIREMENTS.UPPER')},{regex:_reactAuthShared.LOWER_CASE_REGEX,description:t('blui:PASSWORD_REQUIREMENTS.LOWER')},{regex:_reactAuthShared.SPECIAL_CHAR_REGEX,description:t('blui:PASSWORD_REQUIREMENTS.SPECIAL')}];var _useInjectedUIContext=(0,_reactAuthShared.useInjectedUIContext)(),_useInjectedUIContext2=_useInjectedUIContext.passwordRequirements,passwordRequirements=_useInjectedUIContext2===void 0?defaultRequirements:_useInjectedUIContext2;var areValidMatchingPasswords=(0,_react.useCallback)(function(){for(var i=0;i<passwordRequirements.length;i++){if(!new RegExp(passwordRequirements[i].regex).test(passwordInput))return false;}return confirmInput===passwordInput;},[passwordRequirements,passwordInput,confirmInput]);_react.default.useEffect(function(){props.onPasswordChanged(areValidMatchingPasswords()?passwordInput:'');},[passwordInput,confirmInput,areValidMatchingPasswords]);return _react.default.createElement(_reactNative.SafeAreaView,{style:[containerStyles.safeContainer,{flexGrow:1}],__source:{fileName:_jsxFileName,lineNumber:119,columnNumber:9}},_react.default.createElement(_reactNative.View,{style:{width:'100%',maxWidth:600},__source:{fileName:_jsxFileName,lineNumber:120,columnNumber:13}},_react.default.createElement(_reactNativeGestureHandler.ScrollView,{style:{flexGrow:1},__source:{fileName:_jsxFileName,lineNumber:121,columnNumber:17}},_react.default.createElement(_Instruction.Instruction,{text:t('blui:CHANGE_PASSWORD.PASSWORD_INFO'),style:[containerStyles.containerMargins],__source:{fileName:_jsxFileName,lineNumber:122,columnNumber:21}}),_react.default.createElement(_reactNative.View,{style:[containerStyles.containerMargins,containerStyles.mainContainer],__source:{fileName:_jsxFileName,lineNumber:127,columnNumber:21}},_react.default.createElement(_TextInputSecure.TextInputSecure,{label:t('blui:FORMS.PASSWORD'),value:passwordInput,style:{marginTop:32},autoCapitalize:'none',returnKeyType:'next',onChangeText:function onChangeText(text){return setPasswordInput(text);},onSubmitEditing:function onSubmitEditing(){goToNextInput();},blurOnSubmit:false,__source:{fileName:_jsxFileName,lineNumber:128,columnNumber:25}}),_react.default.createElement(_PasswordRequirements.PasswordRequirements,{style:{paddingTop:8},passwordText:passwordInput,__source:{fileName:_jsxFileName,lineNumber:141,columnNumber:25}}),_react.default.createElement(_TextInputSecure.TextInputSecure,{ref:confirmPasswordRef,label:t('blui:FORMS.CONFIRM_PASSWORD'),value:confirmInput,style:{marginTop:24},autoCapitalize:'none',returnKeyType:'done',error:confirmInput!==''&&passwordInput!==confirmInput,onChangeText:function onChangeText(text){return setConfirmInput(text);},onSubmitEditing:areValidMatchingPasswords()?props.onSubmit:undefined,__source:{fileName:_jsxFileName,lineNumber:143,columnNumber:25}})))));};exports.CreatePassword=CreatePassword;
//# sourceMappingURL=CreatePassword.js.map